package com.ym.im.entity.base;

import io.netty.channel.socket.nio.NioSocketChannel;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author: JJww
 * @Date:2019-07-17
 */
@Data
@Accessors(chain = true)
public class BaseSocketInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    public String token;

    public NioSocketChannel channel;

    public void writeAndFlush(Object object) {
        channel.writeAndFlush(object);
    }

    public void close() {
        channel.close();
    }
}
